/*
 * ============================================================================
 * (C) Copyright IBM Corporation 2007, 2008.  All Rights Reserved.
 * 
 * You may only copy, modify, and distribute these samples internally.
 * These samples have not been tested under all conditions and are provided
 * to you by IBM without obligation of support of any kind.
 *
 * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
 * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
 * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
 * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
 * ============================================================================
 */
 
package http.prime;

import java.util.HashMap;

import zero.json.Json;

/**
 * A dummy HTTP service that receives and returns JSON
 */
def onPOST() {
    def json = Json.decode(request.input[]);
    
    def map = new HashMap();
    map.put("name", json.name);
    map.put("message", "Hello " + json.name + " from dummy");
        
    request.view = "JSON";
    request.json.output = map;
    request.headers.out.'Content-Type' = "text/json; charset=UTF-8";
    zero.core.views.ViewEngine.render();
}